%define major    %(echo %{version} | cut -d. -f1)
%define libname	 %mklibname hwy %{major}
%define libnamec %mklibname hwy_contrib %{major}
%define libnamet %mklibname hwy_test %{major}
%define devname  %mklibname hwy -d

Name:		highway
Summary:	Performance-portable, length-agnostic SIMD with runtime dispatch
Version:	1.0.3
Release:	%mkrel 1
License:	ASL2.0
Group:		System/Libraries
Url:		https://github.com/google/highway
Source0:	https://github.com/google/highway/archive/%{version}/highway-%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	git-core
BuildRequires:	gtest-devel
BuildRequires:	libatomic-devel

%description
Highway is a C++ library for SIMD (Single Instruction, Multiple Data),
i.e. applying the same operation to 'lanes'.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
Highway is a C++ library for SIMD (Single Instruction, Multiple Data),
i.e. applying the same operation to 'lanes'.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development libraries and header files for %{name}.

%prep
%setup -q

%build

%cmake \
 -DCMAKE_INSTALL_LIBDIR:PATH=%{_lib} \
 -DBUILD_SHARED_LIBS:BOOL=ON \
 -DHWY_SYSTEM_GTEST:BOOL=OFF \
 -DBUILD_TESTING:BOOL=OFF \
 -DHWY_BROKEN_EMU128:BOOL=ON
%cmake_build

%install
rm -rf %buildroot
%cmake_install

%files -n %{libname}
%{_libdir}/libhwy.so.%{major}
%{_libdir}/libhwy.so.%{version}
%{_libdir}/libhwy_contrib.so.%{major}
%{_libdir}/libhwy_contrib.so.%{version}
%{_libdir}/libhwy_test.so.%{major}
%{_libdir}/libhwy_test.so.%{version}

%files -n %{devname}
%{_includedir}/hwy/
%{_libdir}/libhwy*.so
%{_libdir}/pkgconfig/libhwy*.pc


%changelog
* Mon Nov 06 2023 tex - 1.0.3-1pclos2023
- new version

* Thu Nov 24 2022 tex - 1.0.1-1pclos2022
- create pkg
